maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Anders Hammar (JIRA)" <j...@codehaus.org>
Subject [jira] Commented: (MENFORCER-95) Documentation/Usage of 'unCheckedPluginsList' in rule 'requirePluginVersions' is wrong
Date Wed, 05 May 2010 14:26:12 GMT

    [ http://jira.codehaus.org/browse/MENFORCER-95?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=220016#action_220016
] 

Anders Hammar commented on MENFORCER-95:
----------------------------------------

This is a duplicate of MENFORCER-71, however with info about additional configuration possibilities.

> Documentation/Usage of 'unCheckedPluginsList' in rule 'requirePluginVersions' is wrong
> --------------------------------------------------------------------------------------
>
>                 Key: MENFORCER-95
>                 URL: http://jira.codehaus.org/browse/MENFORCER-95
>             Project: Maven 2.x Enforcer Plugin
>          Issue Type: Task
>          Components: Plugin
>    Affects Versions: 1.0-beta-1
>            Reporter: Lars Corneliussen
>
> The documentation at http://maven.apache.org/enforcer/enforcer-rules/requirePluginVersions.html
has some odd xml:
> {code:xml} 
>       </additionalPlugins>
>     </requirePluginVersions>
>   <unCheckedPluginsList>org.apache.maven.plugins:maven-enforcer-plugin,org.apache.maven.plugins:maven-idea-plugin</unCheckedPluginsList>
> </rules>
> {code} 
> It should either be 'unCheckedPluginsList' outside of 'rules', or '<unCheckedPlugins><unCheckedPlugin>org.apache.maven.plugins:maven-enforcer-plugin...'
inside 'requiredPluginVersions'.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message